aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2022-01-31 21:38:04 +0100
committerToni Uhlig <matzeton@googlemail.com>2022-02-03 03:48:37 +0100
commitf9e4c5885423c6f5b3d8b46c1c872b9e9330b054 (patch)
treefe389e98a15e9e5c7751a106905037df419107c5 /scripts
parent1a0d7ddbfaccc20e081a2fcd0a27495c166e1dbe (diff)
Added logging interface used by nDPId, nDPIsrvd and nDPId-test.
* fixed GitLab pipeline * nDPId: added static assert (just for a test) * nDPId: memory profiling for total bytes compressed * nDPId-test: enable zLib compression if configured with ENABLE_ZLIB Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/daemon.sh33
-rwxr-xr-xscripts/make-dist.sh4
2 files changed, 24 insertions, 13 deletions
diff --git a/scripts/daemon.sh b/scripts/daemon.sh
index 68661aaac..5312ffa85 100755
--- a/scripts/daemon.sh
+++ b/scripts/daemon.sh
@@ -3,7 +3,8 @@
# Simple nDPId/nDPIsrvd start/stop script for testing purposes.
#
-NUSER="nobody"
+NROOT="${NROOT:-/tmp}"
+NUSER="${NUSER:-$(id -u -n)}"
NSUFFIX="${NSUFFIX:-daemon-test}"
nDPId_THREADS="${nDPId_THREADS:-4}"
@@ -14,34 +15,44 @@ if [ x"${1}" = x -o x"${2}" = x ]; then
exit 1
fi
-if [ -r "/tmp/nDPId-${NSUFFIX}.pid" -o -r "/tmp/nDPIsrvd-${NSUFFIX}.pid" ]; then
- nDPId_PID="$(cat "/tmp/nDPId-${NSUFFIX}.pid" 2>/dev/null)"
- nDPIsrvd_PID="$(cat "/tmp/nDPIsrvd-${NSUFFIX}.pid" 2>/dev/null)"
+RETVAL=0
+
+if [ -r "${NROOT}/nDPId-${NSUFFIX}.pid" -o -r "${NROOT}/nDPIsrvd-${NSUFFIX}.pid" ]; then
+ nDPId_PID="$(cat "${NROOT}/nDPId-${NSUFFIX}.pid" 2>/dev/null)"
+ nDPIsrvd_PID="$(cat "${NROOT}/nDPIsrvd-${NSUFFIX}.pid" 2>/dev/null)"
if [ x"${nDPId_PID}" != x ]; then
sudo kill "${nDPId_PID}" 2>/dev/null || true
while ps -p "${nDPId_PID}" > /dev/null; do sleep 1; done
- rm -f "/tmp/nDPId-${NSUFFIX}.pid"
+ rm -f "${NROOT}/nDPId-${NSUFFIX}.pid"
else
printf '%s\n' "${1} not started .." >&2
+ RETVAL=1
fi
if [ x"${nDPIsrvd_PID}" != x ]; then
kill "${nDPIsrvd_PID}" 2>/dev/null || true
while ps -p "${nDPIsrvd_PID}" > /dev/null; do sleep 1; done
- rm -f "/tmp/nDPIsrvd-${NSUFFIX}.pid" "/tmp/nDPIsrvd-${NSUFFIX}-collector.sock" "/tmp/nDPIsrvd-${NSUFFIX}-distributor.sock"
+ rm -f "${NROOT}/nDPIsrvd-${NSUFFIX}.pid" "${NROOT}/nDPIsrvd-${NSUFFIX}-collector.sock" "${NROOT}/nDPIsrvd-${NSUFFIX}-distributor.sock"
else
printf '%s\n' "${2} not started .." >&2
+ RETVAL=1
fi
printf '%s\n' "daemons stopped" >&2
else
set -x
- ${2} -p "/tmp/nDPIsrvd-${NSUFFIX}.pid" -c "/tmp/nDPIsrvd-${NSUFFIX}-collector.sock" -s "/tmp/nDPIsrvd-${NSUFFIX}-distributor.sock" -d
- sudo chgrp "$(id -n -g "${NUSER}")" "/tmp/nDPIsrvd-${NSUFFIX}-collector.sock"
- sudo chmod g+w "/tmp/nDPIsrvd-${NSUFFIX}-collector.sock"
- sudo ${1} -p "/tmp/nDPId-${NSUFFIX}.pid" -c "/tmp/nDPIsrvd-${NSUFFIX}-collector.sock" -d -u "${NUSER}" -o max-reader-threads=${nDPId_THREADS}
+ ${2} -p "${NROOT}/nDPIsrvd-${NSUFFIX}.pid" -c "${NROOT}/nDPIsrvd-${NSUFFIX}-collector.sock" -s "${NROOT}/nDPIsrvd-${NSUFFIX}-distributor.sock" -d -L "${NROOT}/nDPIsrvd.log"
+ test $? -eq 0 || RETVAL=1
+ sudo chgrp "$(id -n -g "${NUSER}")" "${NROOT}/nDPIsrvd-${NSUFFIX}-collector.sock"
+ test $? -eq 0 || RETVAL=1
+ sudo chmod g+w "${NROOT}/nDPIsrvd-${NSUFFIX}-collector.sock"
+ test $? -eq 0 || RETVAL=1
+ sudo ${1} -p "${NROOT}/nDPId-${NSUFFIX}.pid" -c "${NROOT}/nDPIsrvd-${NSUFFIX}-collector.sock" -d -u "${NUSER}" -L "${NROOT}/nDPId.log" -o max-reader-threads=${nDPId_THREADS}
+ test $? -eq 0 || RETVAL=1
set +x
printf '%s\n' "daemons started" >&2
- printf '%s\n' "You may now run examples e.g.: $(realpath --relative-to="$(pwd)" $(dirname "${0}")/../examples/py-flow-info/flow-info.py) --unix /tmp/nDPIsrvd-${NSUFFIX}-distributor.sock"
+ test ${RETVAL} -eq 0 && printf '%s\n' "You may now run examples e.g.: $(realpath --relative-to="$(pwd)" $(dirname "${0}")/../examples/py-flow-info/flow-info.py) --unix ${NROOT}/nDPIsrvd-${NSUFFIX}-distributor.sock"
fi
+
+exit ${RETVAL}
diff --git a/scripts/make-dist.sh b/scripts/make-dist.sh
index 974bfc5dd..67578e504 100755
--- a/scripts/make-dist.sh
+++ b/scripts/make-dist.sh
@@ -17,9 +17,9 @@ if [ ! -d ./.git ]; then
fi
git submodule update --init ./libnDPI
-NDPID_GIT_VERSION="$(git describe --tags)"
+NDPID_GIT_VERSION="$(git describe --tags || printf '%s' 'unknown')"
cd ./libnDPI && \
- LIBNDPI_GIT_VERSION="$(git describe --tags)" && \
+ LIBNDPI_GIT_VERSION="$(git describe --tags || printf '%s' 'unknown')" && \
printf '%s\n' "Creating $(realpath ./libnDPI-${LIBNDPI_GIT_VERSION}.tar)" && \
git archive --prefix="nDPId-${NDPID_GIT_VERSION}/libnDPI/" -o "../libnDPI-${LIBNDPI_GIT_VERSION}.tar" HEAD && \
cd ..